/*
qlock
Copyright (C) 2005  Alexandru Lazar

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

You may contact me, Alexandru Lazar, the author of this program, by e-mail
on std@cwazy.co.uk or alexandru.lazar@gmail.com . Or, you may also contact me
by paper mail: Ritmului 12, Bl. 433, et. 6, ap.27, Bucuresti/Bucharest, 
Sector 2, Romania.
*/
#ifndef ALARM_H
#define ALARM_H
#include <QObject>
#include <QTime>
#include <QDate>
#include <QMessageBox>
#include <QString>
#include <QProcess>
#include <QStringList>
#include <QChar>
#include <QTimer>
#include "types.h"

class Alarm : public QObject {
		Q_OBJECT
	public:
		Alarm(QObject *parent, QTime time, QDate date);
		bool ShouldRing();
		bool MakeSounds();
		bool OpenWindow();
		bool RunCommand();
		void SetRingdate(QDate date);
		void SetRingtime(QTime time);
		void SetShouldMakeSound(bool should);
		void SetSound(QString whatsound);
		void SetShouldPopup(bool should);
		void SetPopupMessage(QString whatmessage);
		void SetShouldRun(bool should);
		void SetCommand(QString whatcommand);
		void SetPlaytimes(int times);
		void SetPlayMethod(playmethod method);
		void SetRingCommand(QString command);
		QString RingCommand;
	public slots:
		void Ring();
		void SoundRing();
	private:
		QString sound;
		bool makeSounds;
		QTime ringtime;
		QDate ringdate;
		bool openWindow;
		bool runCommand;
		bool shouldPopup;
		bool shouldRun;
		QString command;
		QString ringcommand;
		QString message;
		int playtimes;
		QTimer *timer;
		playmethod met;
	signals:
		void over();
	};
#endif
