/*
qlock
Copyright (C) 2005  Alexandru Lazar

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

You may contact me, Alexandru Lazar, the author of this program, by e-mail
on std@cwazy.co.uk or alexandru.lazar@gmail.com . Or, you may also contact me
by paper mail: Ritmului 12, Bl. 433, et. 6, ap.27, Bucuresti/Bucharest, 
Sector 2, Romania.
*/
#include "alarmconf.h"

AlarmConf::AlarmConf(QWidget *parent) : QDialog(parent) {
	setupUi(this);
	timeEdit->setTime(QTime::currentTime());
	dateEdit->setDate(QDate::currentDate());
	connect(okButton,SIGNAL(clicked()),this,SLOT(MakeSettings()));
	connect(browseButton,SIGNAL(clicked()),this,SLOT(BrowseSounds()));
	connect(this,SIGNAL(okay()),this,SLOT(accept()));
	}

void AlarmConf::MakeSettings() {
	(qobject_cast<DigitalClock *>(this->parentWidget()))->SetRingdate(dateEdit->date());
	(qobject_cast<DigitalClock *>(this->parentWidget()))->SetRingtime(timeEdit->time());
	(qobject_cast<DigitalClock *>(this->parentWidget()))->SetShouldMakeSounds(playSoundCheckbox->isChecked());
	(qobject_cast<DigitalClock *>(this->parentWidget()))->SetSound(playSoundLineEdit->text());
	(qobject_cast<DigitalClock *>(this->parentWidget()))->SetShouldPopup(popupMessageCheckbox->isChecked());
	(qobject_cast<DigitalClock *>(this->parentWidget()))->SetPopupMessage(messageLineEdit->text());
	(qobject_cast<DigitalClock *>(this->parentWidget()))->Reset();
	(qobject_cast<DigitalClock *>(this->parentWidget()))->SetShouldRun(runCommandCheckbox->isChecked());
	(qobject_cast<DigitalClock *>(this->parentWidget()))->SetCommand(runCommandLineEdit->text());
	(qobject_cast<DigitalClock *>(this->parentWidget()))->SetPlaytimes(timesBox->value());
	emit okay();
	}

void AlarmConf::BrowseSounds() {
	    QString s = QFileDialog::getOpenFileName(
                    this,
                    "Choose a file",
                    "/home",
                    "All sounds (*.*)");
		playSoundLineEdit->setText(s);
	}
