#ifndef UI_CONFIGUREPROGRAMDIALOG_H
#define UI_CONFIGUREPROGRAMDIALOG_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QGroupBox>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>
#include <QtGui/QRadioButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QWidget>

class Ui_configureProgramDialog
{
public:
    QWidget *layoutWidget;
    QHBoxLayout *hboxLayout;
    QSpacerItem *spacerItem;
    QPushButton *okButton;
    QPushButton *cancelButton;
    QGroupBox *soundMethodGroupBox;
    QRadioButton *ESDradioButton;
    QRadioButton *OTHERradioButton;
    QLineEdit *OTHERlineEdit;
    QGroupBox *timeFormatGroupBox;
    QRadioButton *twHoursRadioButton;
    QRadioButton *tfHoursRadioButton;

    void setupUi(QDialog *configureProgramDialog)
    {
    configureProgramDialog->setObjectName(QString::fromUtf8("configureProgramDialog"));
    configureProgramDialog->resize(QSize(376, 280).expandedTo(configureProgramDialog->minimumSizeHint()));
    layoutWidget = new QWidget(configureProgramDialog);
    layoutWidget->setObjectName(QString::fromUtf8("layoutWidget"));
    layoutWidget->setGeometry(QRect(20, 220, 351, 33));
    hboxLayout = new QHBoxLayout(layoutWidget);
    hboxLayout->setSpacing(6);
    hboxLayout->setMargin(0);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    spacerItem = new QSpacerItem(131, 31, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout->addItem(spacerItem);

    okButton = new QPushButton(layoutWidget);
    okButton->setObjectName(QString::fromUtf8("okButton"));
    okButton->setEnabled(true);

    hboxLayout->addWidget(okButton);

    cancelButton = new QPushButton(layoutWidget);
    cancelButton->setObjectName(QString::fromUtf8("cancelButton"));

    hboxLayout->addWidget(cancelButton);

    soundMethodGroupBox = new QGroupBox(configureProgramDialog);
    soundMethodGroupBox->setObjectName(QString::fromUtf8("soundMethodGroupBox"));
    soundMethodGroupBox->setGeometry(QRect(20, 10, 341, 111));
    soundMethodGroupBox->setFlat(false);
    ESDradioButton = new QRadioButton(soundMethodGroupBox);
    ESDradioButton->setObjectName(QString::fromUtf8("ESDradioButton"));
    ESDradioButton->setGeometry(QRect(10, 30, 110, 24));
    OTHERradioButton = new QRadioButton(soundMethodGroupBox);
    OTHERradioButton->setObjectName(QString::fromUtf8("OTHERradioButton"));
    OTHERradioButton->setGeometry(QRect(10, 60, 71, 24));
    OTHERlineEdit = new QLineEdit(soundMethodGroupBox);
    OTHERlineEdit->setObjectName(QString::fromUtf8("OTHERlineEdit"));
    OTHERlineEdit->setEnabled(false);
    OTHERlineEdit->setGeometry(QRect(80, 60, 251, 23));
    timeFormatGroupBox = new QGroupBox(configureProgramDialog);
    timeFormatGroupBox->setObjectName(QString::fromUtf8("timeFormatGroupBox"));
    timeFormatGroupBox->setGeometry(QRect(20, 130, 341, 71));
    twHoursRadioButton = new QRadioButton(timeFormatGroupBox);
    twHoursRadioButton->setObjectName(QString::fromUtf8("twHoursRadioButton"));
    twHoursRadioButton->setGeometry(QRect(20, 30, 81, 24));
    tfHoursRadioButton = new QRadioButton(timeFormatGroupBox);
    tfHoursRadioButton->setObjectName(QString::fromUtf8("tfHoursRadioButton"));
    tfHoursRadioButton->setGeometry(QRect(120, 30, 81, 24));
    tfHoursRadioButton->setChecked(true);
    retranslateUi(configureProgramDialog);
    QObject::connect(okButton, SIGNAL(clicked()), configureProgramDialog, SLOT());
    QObject::connect(cancelButton, SIGNAL(clicked()), configureProgramDialog, SLOT(reject()));
    QObject::connect(OTHERradioButton, SIGNAL(toggled(bool)), OTHERlineEdit, SLOT(setEnabled(bool)));

    QMetaObject::connectSlotsByName(configureProgramDialog);
    } // setupUi

    void retranslateUi(QDialog *configureProgramDialog)
    {
    configureProgramDialog->setWindowTitle(QApplication::translate("configureProgramDialog", "Configure program", 0, QApplication::UnicodeUTF8));
    okButton->setText(QApplication::translate("configureProgramDialog", "OK", 0, QApplication::UnicodeUTF8));
    cancelButton->setText(QApplication::translate("configureProgramDialog", "Cancel", 0, QApplication::UnicodeUTF8));
    soundMethodGroupBox->setTitle(QApplication::translate("configureProgramDialog", "Sound play method", 0, QApplication::UnicodeUTF8));
    ESDradioButton->setText(QApplication::translate("configureProgramDialog", "ESound", 0, QApplication::UnicodeUTF8));
    OTHERradioButton->setText(QApplication::translate("configureProgramDialog", "Other:", 0, QApplication::UnicodeUTF8));
    timeFormatGroupBox->setTitle(QApplication::translate("configureProgramDialog", "Time format", 0, QApplication::UnicodeUTF8));
    twHoursRadioButton->setText(QApplication::translate("configureProgramDialog", "12 hours", 0, QApplication::UnicodeUTF8));
    tfHoursRadioButton->setText(QApplication::translate("configureProgramDialog", "24 hours", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(configureProgramDialog);
    } // retranslateUi

};

namespace Ui {
    class configureProgramDialog: public Ui_configureProgramDialog {};
} // namespace Ui

#endif // UI_CONFIGUREPROGRAMDIALOG_H
