/*
qlock
Copyright (C) 2005  Alexandru Lazar

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

You may contact me, Alexandru Lazar, the author of this program, by e-mail
on std@cwazy.co.uk or alexandru.lazar@gmail.com . Or, you may also contact me
by paper mail: Ritmului 12, Bl. 433, et. 6, ap.27, Bucuresti/Bucharest, 
Sector 2, Romania.
*/
#ifndef DIGITALCLOCK_H
#define DIGITALCLOCK_H

#include <QLCDNumber>
#include <QMenu>
#include <QAction>
#include <QEvent>
#include <QString>
#include <QCursor>
#include <QDate>
#include <QString>
#include "types.h"
#include "alarm.h"
#include "progconf.h"
#include "alarmconf.h"
class DigitalClock : public QLCDNumber
{
    Q_OBJECT

public:
    DigitalClock(QWidget *parent = 0);
	void SetClocktype(clocktype tp);
	void SetRingdate(QDate date);
	void SetRingtime(QTime time);
	void SetShouldMakeSounds(bool should);
	void SetSound(QString sound);
	void SetShouldPopup(bool should);
	void SetPopupMessage(QString message);
	void SetShouldRun(bool should);
	void SetCommand(QString command);
	void SetPlaytimes (int times);
	void Reset();
	void SetPlayMethod(playmethod method);
	void SetRingCommand(QString command);
	
private:
    QMenu *rightClickMenu;
    QAction *configureAlarmAction;
    QAction *configureProgramAction;
	QAction *shutUpAction;
    QMouseEvent *rightClickEvent;
	QTime ringtime;
	QDate ringdate;
	clocktype ctype;
	Alarm *alarm;
	bool rang;
protected:
	void mousePressEvent(QMouseEvent *event);

private slots:
    void showTime();
    void ConfigureProgram();
	void ConfigureAlarm();
	void ShutUp();
};

#endif
